# Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow Class Reference

The main window that will be used for the sample framework. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow:

[legend]

List of all members.

## Public Member Functions
| GraphicsWindow (Framework f)
| GraphicsWindow (Framework f)
| GraphicsWindow (Framework frame)
## Protected Member Functions
override void | WndProc (ref Message m)
| Will call into the sample framework's window proc.
override void | WndProc (ref Message m)
| Will call into the sample framework's window proc.
override void | WndProc (ref Message m)
| Will call into the sample framework's window proc.

## Detailed Description

The main window that will be used for the sample framework.

Definition at line 338 of file dxmutdata.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow.GraphicsWindow | ( | Framework | f | ) |

Definition at line 341 of file dxmutdata.cs.

Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow.GraphicsWindow | ( | Framework | f | ) |

Definition at line 341 of file dxmutdata.cs.

Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow.GraphicsWindow | ( | Framework | frame | ) |

Definition at line 341 of file wdxmutdata.cs.

## Member Function Documentation

override void Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow.WndProc | ( | ref Message | m | ) | `[protected]`

Will call into the sample framework's window proc.

Definition at line 350 of file wdxmutdata.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow.WndProc | ( | ref Message | m | ) | `[protected]`

Will call into the sample framework's window proc.

Definition at line 350 of file dxmutdata.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.GraphicsWindow.WndProc | ( | ref Message | m | ) | `[protected]`

Will call into the sample framework's window proc.

Definition at line 350 of file dxmutdata.cs.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutdata.cs